#include <stdio.h>
#include <sys/time.h>
#include <usb.h>

int main(int argc,char **argv)
{
	struct usb_bus *bus;
	struct usb_device *dev;
	usb_dev_handle *handle;
	unsigned char buf[8];
	int i, len;

	usb_init();
	usb_find_busses();
	usb_find_devices();

	for(bus = usb_get_busses(); bus; bus = bus->next) {
		for(dev = bus->devices; dev; dev = dev->next) {
			if((dev->descriptor.idVendor == 0xfffe) && (dev->descriptor.idProduct == 0x0002))
				goto found;
		}
	}

	return 1;

found:
	handle = usb_open(dev);
	if(!handle)
		return 1;
	usb_claim_interface(handle, 0);

	len = usb_control_msg(handle, 0xc0, 0x02, 0, 0, buf, 8, 1000);
	printf("%d\n", len);
	if(len < 0)
		goto out;

	printf("%02x.%02x.%02x.%02x.%02x.%02x.%02x.%02x\n",
			buf[0],buf[1],buf[2],buf[3],buf[4],buf[5],buf[6],buf[7]);

//	for(i = 0;i < len;i++) {
//		printf("%02x ", buf[i]);
//		if((i % 16) == 15)
//			printf("\n");
//	}
//	printf("\n");

out:
	usb_close(handle);

	return 0;
}

