#include <stdio.h>
#include <sys/time.h>
#include <usb.h>

int main(int argc,char **argv)
{
	struct usb_bus *bus;
	struct usb_device *dev;
	usb_dev_handle *handle;
	unsigned long buf[512];
	int i, len;

	usb_init();
	usb_find_busses();
	usb_find_devices();

	for(bus = usb_get_busses(); bus; bus = bus->next) {
		for(dev = bus->devices; dev; dev = dev->next) {
			if((dev->descriptor.idVendor == 0x04b4) && (dev->descriptor.idProduct == 0x8614))
				goto found;
		}
	}

	return 1;

found:
	handle = usb_open(dev);
	if(!handle)
		return 1;
	usb_claim_interface(handle, 0);

	len = usb_bulk_read(handle, 0x86, (char *)buf, 512 * 4, 1000);
	printf("%d\n", len);
	if(len < 0)
		goto out;

	for(i = 0;i < (len / 4);i++)
		printf("%08lx\n", buf[i]);

out:
	usb_close(handle);

	return 0;
}

