#include <stdio.h>
#include <sys/time.h>
#include <usb.h>
#include <time.h>

int main(int argc,char **argv)
{
	struct usb_bus *bus;
	struct usb_device *dev;
	usb_dev_handle *handle;
	short buf[512];
	int i, len;

	for(i=0; i < 512; i+=2) {
		buf[i] = i;
		buf[i+1] = i;
	}

//	for(i=256; i < 512; i++)
//		buf[i]=i;

	usb_init();
	usb_find_busses();
	usb_find_devices();

	for(bus = usb_get_busses(); bus; bus = bus->next) {
		for(dev = bus->devices; dev; dev = dev->next) {
			if((dev->descriptor.idVendor == 0xfffe) && (dev->descriptor.idProduct == 0x0002))
				goto found;
		}
	}

	return 1;

found:
	handle = usb_open(dev);
	if(!handle)
		return 1;
	usb_claim_interface(handle, 0);



int coeff=0;

struct timespec start_time, end_time;
double elapsed;

clock_gettime(CLOCK_REALTIME,  &start_time);
int total_bytes=0;

repeat_sig:
	len = usb_bulk_write(handle, 0x02, (unsigned char *) buf, 512  *sizeof(short), 1000);
	if(len < 0) {
		printf("len=%d!\n", len);
		goto out;
	}

	// Do something
	clock_gettime(CLOCK_REALTIME,  &end_time);
	elapsed = (end_time.tv_sec - start_time.tv_sec) + (double) (end_time.tv_nsec - start_time.tv_nsec) * 1e-9;
	if(elapsed >= 1) {
		fprintf(stderr, "data[%d]: samples = %.3f kS/s, elapsed=%.3f s\n",
			len, (double) total_bytes/(sizeof(short) * elapsed * 1000), elapsed);
		start_time = end_time;
		total_bytes=0;
	}

	total_bytes+=len;
	if(len != 1024)
		printf("len=%d != 512!\n", len);

	coeff += 1;
//	if(coeff < 640000)

	for(i=0; i < 512; i+=2) {
		buf[i] = coeff % 32768;
		buf[i+1] = coeff % 32768;
	}

	goto repeat_sig;

out:
	usb_close(handle);

	return 0;
}

