#include <stdio.h>
#include <sys/time.h>
#include <usb.h>

int main(int argc,char **argv)
{
	struct usb_bus *bus;
	struct usb_device *dev;
	usb_dev_handle *handle;
	unsigned char buf[512];
	int i, len;

	if(argc > 1) {
		buf[0] = 0x55;
		buf[1] = 0x55;
		buf[2] = 0x55;
		buf[3] = 0x55;
		buf[4] = 0x55;
	} else {
		buf[0] = 0xaa;
		buf[1] = 0xaa;
		buf[2] = 0xaa;
		buf[3] = 0xaa;
		buf[4] = 0xaa;
	}
	printf("%02x\n", buf[0]);

	usb_init();
	usb_find_busses();
	usb_find_devices();

	for(bus = usb_get_busses(); bus; bus = bus->next) {
		for(dev = bus->devices; dev; dev = dev->next) {
			if((dev->descriptor.idVendor == 0x04b4) && (dev->descriptor.idProduct == 0x8614))
				goto found;
		}
	}

	return 1;

found:
	handle = usb_open(dev);
	if(!handle)
		return 1;
	usb_claim_interface(handle, 0);
	usb_set_altinterface(handle, 0);

	len = usb_bulk_write(handle, 0x02, buf, 5, 1000);
	printf("%d\n", len);
	if(len < 0)
		goto out;

out:
	usb_close(handle);

	return 0;
}

